<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann

  /* // deprecated
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
  

  if(isset($_SESSION["mailcli"])) //si les sessions sont pleines
  {
    if(isset($_POST['montant']))
    {
      
      if($_POST['montant'] > '0')  //si le montant est different de null
      { 
        //Vérification du montant
        $montant = $_POST['montant']; 
        include("../pay/pay_verif.php"); 
        $_POST["montant"] = $montant;
          
        $regex = "/[a-z]/"; //informations indésirables : tout sauf les chiffres et une virgule (à compléter)
        //le montant 3E ne doit pas passer
        if (!preg_match($regex, $montant)) // détermine si un montant est valide à partir du regex
        {
          
          if ($connexion)// si connexion à la base réussi
          {
            mysql_select_db($base,$connexion);
            
            include("../../services/ISIN/ISIN_gen.php");
            
            mysql_query("INSERT INTO freepay_titre values ('$ISIN', '".date("Y")."-".date("m")."-".date("j")." ".date("H").":".date("i").":".date("s")."', '".$_POST['montant']."', '".$_SESSION["mailcli"]."')");
            
            $numtitre = $ISIN ; //mysql_insert_id();
            
            mysql_query("INSERT INTO freepay_titre_transferer values ('".date("Y")."-".date("m")."-".date("j")." ".date("H").":".date("i").":".date("s")."', '".$numtitre."', '".$_SESSION["mailcli"]."', '0.00', '".$_POST['montant']."')");
            
            //si le mysql_query a fonctionné affiche :
            echo "<p class='reussi'>L'ajout du titre à <strong>".$_POST['montant']." ".$_SESSION["devise"]."</strong> s'est déroulé avec succès.</p>";
              
            echo '<h4 class="titre">Récapitulatif de l\'ajout :</h4>
              
            <table width="100%">
                
              <tr>
                <th>Date</th><th>Identifiant</th><th>Propriétaire</th><th>Valeur</th><th>Devise</th>
              </tr>
                
              <tr>
                  
                <td class="historique"
                onmouseover="this.style.backgroundColor=\'white\'"
                onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.date("Y").'-'.date("m").'-'.date("j").' '.date("H").':'.date("i").':'.date("s").'</td>
                  
                <td class="historique"
                onmouseover="this.style.backgroundColor=\'white\'"
                onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$numtitre.'</td>
                  
                <td class="historique" 
                  onmouseover="this.style.backgroundColor=\'white\'"
                  onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$_SESSION["mailcli"].'</td>
                    
                <td class="historique" 
                  onmouseover="this.style.backgroundColor=\'white\'"
                  onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$_POST['montant'].'</td>
                    
                <td class="historique" 
                  onmouseover="this.style.backgroundColor=\'white\'"
                  onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$_SESSION["devise"].'</td>
              </tr>
                
            </table>';
          }
          
        }
        else
        {
          echo "<p class='erreur'><strong>Transaction annulé.</strong> Le montant \"$montant\" contient des caractères indésirables.</p>";
        }
      }
      else
      {       
        echo "<p class='erreur'>Veuillez entrer un montant positif.</p>";
      }
    }
    
    
    echo '<p>
    <form action="titre_ajouter.php" method="post" onsubmit="return pay_verification();">
    
    <div><h4 class="titre">Créer un titre</h4></div>
    
    <p>
      <table>
        <tr>
          <td>Montant du titre :</td>
          <td><input type="decimal" name="montant" id="montant" size="30" /></td>
          <td><input type="submit" value="Valider" /></td>
        </tr>
      </table>
    </p>
    
    </form>';
    
    //Focus sur le champs du courriel en javascript
    echo '<script type="text/javascript">document.getElementById("montant").focus();</script>';
    
    echo '<script type="text/javascript" src="http://'.$_SERVER["HTTP_HOST"].'/freepay/pay/pay_verification.js"></script>';
    
  }
  else{
    echo "
    <script type='text/javascript'>
      window.location.replace('".$AdresseFreePay."support/client/connexion.php?URLRetour=http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']."');
    </script>
    ";
  }
  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page
  */
?>
